"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const loadYamlFile = require("load-yaml-file");
const writeYamlFile = require("write-yaml-file");
const STORE_YAML = 'store.yaml';
function read(storePath) {
    return __awaiter(this, void 0, void 0, function* () {
        const storeYamlPath = path.join(storePath, STORE_YAML);
        try {
            return yield loadYamlFile(storeYamlPath);
        }
        catch (err) {
            if (err.code !== 'ENOENT') {
                throw err;
            }
            return null;
        }
    });
}
exports.read = read;
function save(storePath, store) {
    const storeYamlPath = path.join(storePath, STORE_YAML);
    return writeYamlFile(storeYamlPath, store, { sortKeys: true });
}
exports.save = save;
//# sourceMappingURL=storeController.js.map