import { Resolution } from '../resolve';
import { TreeNodeMap } from '../api/install';
export declare type DependencyTreeNode = {
    name: string;
    hasBundledDependencies: boolean;
    path: string;
    modules: string;
    fetchingFiles: Promise<boolean>;
    resolution: Resolution;
    hardlinkedLocation: string;
    children: string[];
    optionalDependencies: Set<string>;
    depth: number;
    resolvedId: string;
    dev: boolean;
    optional: boolean;
    id: string;
    installable: boolean;
};
export declare type DependencyTreeNodeMap = {
    [nodeId: string]: DependencyTreeNode;
};
export default function (tree: TreeNodeMap, rootNodeIds: string[], topPkgIds: string[], topParents: {
    name: string;
    version: string;
}[]): DependencyTreeNodeMap;
