"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("mz/fs");
const dirsum_1 = require("./fs/dirsum");
function untouched(pkgDir) {
    return __awaiter(this, void 0, void 0, function* () {
        const realShasum = yield dirsum_1.default(pkgDir);
        let originalShasum = null;
        try {
            originalShasum = yield fs.readFile(`${pkgDir}_shasum`, 'utf8');
        }
        catch (err) {
            if (err.code !== 'ENOENT')
                throw err;
            return false; // for backward compatibility
        }
        return realShasum === originalShasum;
    });
}
exports.default = untouched;
//# sourceMappingURL=pkgIsUntouched.js.map